import { jsx } from "react/jsx-runtime";
import { Aperture as Aperture$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Aperture = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Aperture", ...props, children: /* @__PURE__ */ jsx(Aperture$1, { weight: variant }) });
  }
);
Aperture.displayName = "Aperture";
Object.assign(Aperture, { isGdsIcon: true });
export {
  Aperture
};
